# this requires a locally pre-built uncertainty-lab.sif, which also can be done via docker:
# docker run --volume $PWD:/go --privileged -t --rm quay.io/singularity/singularity:v4.1.0 build uncertainty-lab.sif docker://user2084/uncertainty-lab
# after uncertainty-lab.sif is built, copy it to the cluster with scp
# then you can use the singularity image on the cluster
singularity exec --bind ./testfolder:/home/jovyan/work uncertainty-lab.sif python --version
# singularity exec --bind ./testfolder:/home/jovyan/work uncertainty-lab.sif jupyter lab --ip=0.0.0.0 --no-browser --allow-root

# jupyter lab on the cluster does not make sense if port forwarding is blocked
# But if on a different remote system port forwarding is allowed, you can tunnel through it to the jupyter lab instance and access with your local browser

# Port Forwarding jupyter server Loginknoten
# ssh -v -N -L 9000:localhost:8888 <USER>@mlogin01.hrz.tu-freiberg.de  # on your local machine

# if jupyter runs on a compute node then there is a login node in between, so you need a jump
# Port Forwarding jupyter server auf Compute-Knoten via ssh Jump:
# ssh <USER>@<compute-IP> -J <USER>@mlogin01.hrz.tu-freiberg.de -L 8866:localhost:8866 -N
